<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Fonctions</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 // --- on r&eacute;cup&egrave;re les donn&eacute;es ---
 $chaine1=$_GET['chaine1'] ;
 $chaine2=$_GET['chaine2'] ;
 
 
 echo "Cha&icirc;ne saisie    : ".$chaine1.WEB_EOL ;
 echo "Code ASCII du premier caract&egrave;re : ".ord($chaine1).WEB_EOL ;

 echo "---ctype_alnum---".WEB_EOL; 
 if (ctype_alnum($chaine1)) echo "La chaine $chaine1 est aplanum&eacute;rique".WEB_EOL;
 else echo "La chaine $chaine1 n'est pas aplanum&eacute;rique".WEB_EOL;

 echo "---ctype_alpha---".WEB_EOL; 
 if (ctype_alpha($chaine1)) echo "La chaine $chaine1 est aphab&eacute;tique".WEB_EOL;
 else echo "La chaine $chaine1 n'est pas aphab&eacute;tique".WEB_EOL;

 echo "---ctype_lower---".WEB_EOL; 
 if (ctype_lower($chaine1)) echo "La chaine $chaine1 est minuscule".WEB_EOL;
 else echo "La chaine $chaine1 n'est pas minuscule".WEB_EOL;

 echo "---htmlspecialchars et strip_tags---".WEB_EOL; 
 echo "Cha&icirc;ne saisie    : ".$chaine2.WEB_EOL ;
 echo "htmlspecialchars($chaine2)=".htmlspecialchars($chaine2).WEB_EOL;
 echo "strip_tags($chaine2)=".strip_tags($chaine2).WEB_EOL;

 echo "---ctype_cntrl, ctype_print, ctype_graph---".WEB_EOL; 
 $chaine="\f\t";
 if (ctype_cntrl($chaine))
   echo 'La chaine >>>\f\t<<< contient des caract&egrave;res de contr&ocirc;le'.WEB_EOL;
 else
   echo 'La chaine >>>\f\t<<< ne contient pas des caract&egrave;res de contr&ocirc;le'.WEB_EOL;
 // --- V&eacute;rification d'un caract&egrave;re imprimable --- 
 if (ctype_print($chaine))
   echo 'La chaine >>>\f\t<<< est imprimable'.WEB_EOL;
 else
   echo 'La chaine >>>\f\t<<< n\'est pas imprimable'.WEB_EOL;
 // --- V&eacute;rification d'un caract&egrave;re graphique imprimable --- 
 if (ctype_graph($chaine))
   echo 'La chaine >>>\f\t<<< est imprimable'.WEB_EOL;
 else
   echo 'La chaine >>>\f\t<<< n\'est pas imprimable'.WEB_EOL;
   
 echo "---convert_uuencode et convert_uudecode---".WEB_EOL;   
 $texte="Hello";
 echo "convert_uuencode($texte)=".convert_uuencode($texte);
 echo "convert_uudecode(\"%2&5L;&\`\")=".convert_uudecode("%2&5L;&\`").WEB_EOL;

 echo "---count_chars---".WEB_EOL; 
 $texte = "bonjour comment ca va";
 echo '$texte ='.$texte.WEB_EOL;
 foreach (count_chars($texte, 1) as $i => $valeur)
 {
   echo "Il y a $valeur occurrence(s) de \"" , chr($i) , "\" dans la phrase.".WEB_EOL;
 }
 echo "---crypt---".WEB_EOL; 
 $motdepassword = crypt('Mot_de_Passe');
 echo "crypt('Mot_de_Passe')=".$motdepassword.WEB_EOL;
 echo "---md5---".WEB_EOL; 
 $motdepassword = md5('Mot_de_Passe');
 echo "md5('Mot_de_Passe')=".$motdepassword.WEB_EOL;

 echo "---explode---".WEB_EOL; 
 $chaine  = "texte1;texte2;texte3;texte4";
 $tab = explode(";", $chaine);
 foreach ($tab as $i => $valeur)
 {
   echo "$i : $valeur".WEB_EOL;
 }
 echo "---implode---".WEB_EOL; 
 $tab2=array('dupont','jean','jacques');
 $ch = implode(",", $tab2);
 echo $ch.WEB_EOL;
 
 echo "---lcfirst---".WEB_EOL; 
 $ch = lcfirst("BONJOUR");
 echo $ch.WEB_EOL;
 
 echo "---setlocale---".WEB_EOL; 
 setlocale(LC_ALL, 'fr_FR');
 echo "---localeconv---".WEB_EOL; 
 $infos_locales = localeconv();
 print_r($infos_locales);

 echo "---ltrim---".WEB_EOL; 
 $ch1 = "\t\tquelques mots !  ";
 $ch2  = "    Bonjour";
 var_dump($ch1, $ch2);
 $trimch1 = ltrim($ch1);
 var_dump($trimch1);
 $trimch2 = ltrim($ch2);
 var_dump($trimch2);
 
 echo "---trim---".WEB_EOL; 
 $ch1 = "\t\tquelques mots !  ";
 $ch2  = "    Bonjour";
 var_dump($ch1, $ch2);
 $trimch1 = trim($ch1);
 var_dump($trimch1);
 $trimch2 = trim($ch2);
 var_dump($trimch2);

 echo "---money_format---".WEB_EOL; 
 $val = 1234.5672;
 $ch=money_format('%#5.2n',$val);
 echo $ch.WEB_EOL;

 echo "---number_format---".WEB_EOL; 
 $ch=number_format($val,2,","," ")."&euro;";
 echo $ch.WEB_EOL;
 
 echo "---nl2br---".WEB_EOL; 
 echo nl2br("c'est\npratique\n");

 echo "---sprintf---".WEB_EOL; 
 $ch=sprintf("somme:%s",$val);
 echo $ch.WEB_EOL;

 echo "---sscanf---".WEB_EOL;
 $date="03/02/2015";
 sscanf($date,"%d/%d/%d",$j,$m,$a);
 echo $date.WEB_EOL;
 echo "jour =".$j.WEB_EOL;
 echo "mois =".$m.WEB_EOL;
 echo "annee=".$a.WEB_EOL;
 
 echo "---str_repeat---".WEB_EOL;
 echo str_repeat("AB",5);
 echo WEB_EOL;

 echo "---str_replace---".WEB_EOL;
 $voyelles = array("a","e","i","o","u","A","E","I","O","U");
 $sansvoyelle=str_replace($voyelles,"", "Bonjour");
 echo $sansvoyelle.WEB_EOL;

 echo "---strcmp---".WEB_EOL;
 $ch1 = "Bonjour";
 $ch2 = "bonjour";
 if (strcmp($ch1, $ch2) != 0)
 {
    echo "$ch1 n'est pas &eacute;gal &agrave; $ch2".WEB_EOL;
 }
 echo "---strlen---".WEB_EOL;
 $taille=strlen($ch1);
 echo "longueur de $ch1 : ".$taille.WEB_EOL;
 
 echo "---strpos---".WEB_EOL;
 $chaine = 'ABCDEFabcdef';
 $ch1   = 'Fa';
 $pos = strpos($chaine,$ch1);
 echo "$ch1 position: $pos dans $chaine".WEB_EOL;

 echo "---strstr---".WEB_EOL;
 $courriel  = 'Jean@cnam.fr';
 $domaine = strstr($courriel, '@');
 echo "Courriel:$courriel, Domaine=$domaine".WEB_EOL;

 echo "---strtolower---".WEB_EOL;
 $ch  = 'BONJOUR';
 $chlower = strtolower($ch);
 echo "$ch en minuscules : $chlower".WEB_EOL;

 echo "---ucfirst---".WEB_EOL;
 $ch='bonjour ca va';
 $chu=ucfirst($ch);
 echo "|$ch| premi&egrave;re majuscule : $chu".WEB_EOL;
 
 echo "---ucwords---".WEB_EOL;
 $ch='bonjour ca va';
 $chu=ucwords($ch);
 echo "|$ch| premi&egrave;res majuscules : $chu".WEB_EOL;
 
 echo "---strtoupper---".WEB_EOL;
 $ch='bonjour';
 $chlupper=strtoupper($ch);
 echo "$ch en majuscules : $chlupper".WEB_EOL;

 echo "---strtr---".WEB_EOL;
 $ch="azagat";
 echo "AVANT : $ch".WEB_EOL;
 $ch = strtr($ch,"a", "A");
 echo "APRES : $ch".WEB_EOL;

 echo "---substr---".WEB_EOL;
 $ch="abcdefgh";
 $reste=substr($ch,3,2);
 echo "sous-cha&icirc;ne de $ch de 3 sur 2 = $reste".WEB_EOL;
 
 echo "---parse_str---".WEB_EOL;
 $ch = "premier=valeur&tab[]=un+deux&tab[]=trois";
 parse_str($ch, $sortie);
 echo '$ch='.$ch.WEB_EOL;
 echo '$sortie[\'premier\']='.$sortie['premier'].WEB_EOL; 
 echo '$sortie[\'tab\'][0]='.$sortie['tab'][0].WEB_EOL; 
 echo '$sortie[\'tab\'][1]='.$sortie['tab'][1].WEB_EOL; 

 echo "---preg_replace---".WEB_EOL;
 $saisie_init  = "ceci    est     un     exemple     d'espaces       multiples";
 $saisie_traite= preg_replace('/\s{2,}/', ' ', $saisie_init);
 echo "Cha&icirc;ne avec espace multiples:".WEB_EOL;
 echo "|$saisie_init|".WEB_EOL;
 echo "apr&egrave;s traitement avec preg_replace :".WEB_EOL;
 echo "|$saisie_traite|".WEB_EOL;
 ?>
 </body>
</html>
